Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1008529 (qt5-qtwayland) - Review Request: qt5-qtwayland - Qt5 - Wayland platform support and QtCompositor module
Summary: Review Request: qt5-qtwayland - Qt5 - Wayland platform support and QtComposit...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: qt5-qtwayland
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2013-09-16 14:33 UTC by Lubomir Rintel
Modified: 2013-09-23 18:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-23 18:09:55 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2013-09-16 14:33:28 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/qt5-qtwayland.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/qt5-qtwayland-5.1.0-1.20130826git3b0b90b.fc20.src.rpm

Description:

Qt5 - Wayland platform support and QtCompositor module

Comment 1 Rex Dieter 2013-09-22 21:18:27 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5969304

rpmlint clean

1.  SHOULD justify Version
Version: 5.1.0

why/how was that chosen?

I couldn't find any version references in docs or code, but did see an old git tags:
qt-v5.0.0-alpha1
v5.0.0-beta1


2.  SHOULD justify Release
Release: 1.20130826git3b0b90b%{?dist}

you chose the post-release style rather than pre-release, why?  (since I can't find any formal releases, imo, the pre-release style seems to make more sense)


3.  SHOULD improve .la file handling, currently have
%exclude %{_qt5_libdir}/libQt5Compositor.la
in main package, better either to put this in -devel or explicitly delete it in %install section


naming: ok

license: ok

macros: ok

builds/installs: ok

scriptlets: ok


No review blockers, so, APPROVED.


Please do address the SHOULD items I mentioned, prior to doing any official builds.

Comment 2 Lubomir Rintel 2013-09-23 06:43:49 UTC
Thank you for the review. All SHOULD items you noticed seem legitimate to me and I'll address them upon import.

New Package SCM Request
=======================
Package Name: qt5-qtwayland
Short Description: Wayland platform support and QtCompositor module
Owners: lkundrak rdieter than jreznik kkofler ltinkl rnovacek
Branches: f18 f19 f20 el6

Comment 3 Gwyn Ciesla 2013-09-23 12:46:38 UTC
Git done (by process-git-requests).

Comment 4 Lubomir Rintel 2013-09-23 17:55:39 UTC
> 1.  SHOULD justify Version
> Version: 5.1.0

[lkundrak@odvarok qtwayland]$ cat .qmake.conf 
load(qt_build_config)

MODULE_VERSION = 5.1.0
[lkundrak@odvarok qtwayland]$ 

This version was found to be latest that builds and runs with Wayland in Fedora. Will update as rest release is done and rest the wayland stack aligns with upstream.

> 2.  SHOULD justify Release
> Release: 1.20130826git3b0b90b%{?dist}
>
> you chose the post-release style rather than pre-release, why?  (since I can't > find any formal releases, imo, the pre-release style seems to make more sense)

Fixed up.

> 3.  SHOULD improve .la file handling, currently have
> %exclude %{_qt5_libdir}/libQt5Compositor.la
> in main package, better either to put this in -devel or explicitly delete it > in %install section

Done.

Comment 5 Lubomir Rintel 2013-09-23 18:09:55 UTC
Imported and built.
Thank you Rex, thank you Jon!


Note You need to log in before you can comment on or make changes to this bug.